Verify Whitelist
Check whether an account is whitelisted on a server.
POST https://api.sonorancms.com/v2/community/servers/1/whitelist/check
Rate limit:
27 requests per minute
Authenticated v2 endpoints are rate limited per credential rather than per IP address.
Check whether an account is whitelisted on a server.
Route Parameters
| Name | Type | Required | Description |
| --- | --- | --- | --- |
| serverId | number | Yes | Target serverId. |
Request Body
| Name | Type | Required | Description |
| --- | --- | --- | --- |
| accId | string | Yes | See example request for the shape. |
Example Request
local Sonoran = require("sonoran")
local sonoran = Sonoran.createClient({
product = Sonoran.productEnums.CMS,
apiKey = "YOUR_API_KEY",
communityId = "YOUR_COMMUNITY_ID",
defaultServerId = 1,
timeoutMs = 30000,
})
local serverId = 1
local payload = {
["accId"] = "00000000-0000-0000-0000-000000000000"
}
local response = sonoran.cms:verifyWhitelistV2(serverId, payload)
if response.success then
print(response.data)
else
print(response.reason)
endResponse
The data value is the account display name when the whitelist check succeeds. If the account is not allowed, the endpoint throws a problem-details error instead of returning a negative boolean.
Last updated
Was this helpful?

